The 'sip-trunking-capability' Link Relation Type
RFC 9409
Kaustubh Inamdar
Unaffiliated
Sreekanth Narayanan
Cisco
Derek Engi
Cisco
Gonzalo Salgueiro
Cisco
2023-07
art
asap
SIP
Session Initiation Protocol
automatic peering
WebFinger
capability set
This Informational document defines the 'sip-trunking-capability' link relation type that may be used by an enterprise telephony Session Initiation Protocol (SIP) network to retrieve a SIP trunking capability set document, which contains the capabilities and configuration requirements of an Internet Telephony Service Provider (ITSP). These technical requirements allow for seamless peering between SIP-based enterprise telephony networks and the ITSP.
Status of This Memo
This document is not an Internet Standards Track specification; it is published for informational purposes.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Not all documents approved by the IESG are candidates for any level of Internet Standard; see Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9409.
Copyright Notice
Copyright (c) 2023 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
Table of Contents
- 1. Introduction
- 2. The 'sip-trunking-capability' Link Relation Type
- 3. Example Usage
- 4. IANA Considerations
- 5. Security Considerations
- 6. References
  - 6.1. Normative References
  - 6.2. Informative References
- Acknowledgements
- Authors' Addresses
Introduction
RFC 8288 [RFC8288] defines a way to indicate relationships between resources on the Web. This document specifies the 'sip-trunking-capability' link relation type according to the rules of RFC 8288. Links with this relationship type can be used to exchange capability information between potential peer devices. In the event that systems require additional parameters and configuration to negotiate communication, a well-known URI can be utilized to deliver information to potential peers, including machine-readable instructions and parameters needed for peering.
The 'sip-trunking-capability' link relation type may be used on web resources hosted by ITSPs to provide a structured and detailed capability set document. The capability set document [SIP-AUTO-PEER] encapsulates a set of characteristics of an ITSP, which when retrieved by enterprise telephony network devices allows for automated establishment of SIP [RFC3261] trunking between the two telephony networks.
The 'sip-trunking-capability' Link Relation Type
A capability set document is hosted via web resources by the ITSP. A unique location of the document can be preconfigured and provided to each peer by the ITSP, or a centrally published resource can be used that dynamically generates the capability set document based on one or more Uniform Resource Identifiers (URIs) [RFC3986] determined by the peering device. The capability set document describes the configuration parameters required to successfully establish SIP trunking between an enterprise and an ITSP network. The capability set document is composed of structured and machine-readable parameters that can be converted into configuration data to meet the communication requirements of the ITSP. The need for an enterprise telephony network to obtain a capability set document from an ITSP is documented in "Automatic Peering for SIP Trunks" [SIP-AUTO-PEER].
Example Usage
This section provides an example of possible use of the 'sip-trunking-capability' relation type. The enterprise network device solicits the location of the capability set document from the well-known URI hosted by the ITSP using the WebFinger protocol [RFC7033]. The following examples include line breaks and indentation for clarity.

   GET /.well-known/webfinger?
      resource=acct%3Atrunkent1456%40example.com&
      rel=sip-trunking-capability
      HTTP/1.1
   Host: ssp1.example.com

The location of the capability set document is returned to the network device in the "href" attribute.

   HTTP/1.1 200 OK
   Access-Control-Allow-Origin: *
   Content-Type: application/jrd+json
   {
      "subject" : "acct:trunkent1456@example.com",
      "links" :
      [
         {
            "rel" : "sip-trunking-capability",
            "href" : "https://capserver.ssp1.example.com/capdoc.json"
         }
      ]
   }

The ITSP may use an authentication framework such as OAuth 2.0 [RFC6749] to determine the identity of the enterprise telephony network to provide the appropriate capability set document.
IANA Considerations
IANA has registered the 'sip-trunking-capability' link relation under the "Link Relation Types" registry as follows:
Relation Name:
sip-trunking-capability
Description:
Refers to a capability set document that defines parameters or configuration requirements for automated peering and communication-channel negotiation of the Session Initiation Protocol (SIP).
Reference:
RFC 9409
Security Considerations
The 'sip-trunking-capability' relation type is not known to introduce any new security issues not already discussed in RFC 8288 for generic use of web-linking mechanisms. However, it is recommended to exercise caution when publishing potentially sensitive capability information over unencrypted or unauthenticated channels. Additional security recommendations are outlined in the capability set document definition. See the Security Considerations section in "Automatic Peering for SIP Trunks" [SIP-AUTO-PEER].
References
Normative References
[RFC8288]

Web Linking
M. Nottingham
October 2017
RFC 8288
DOI 10.17487/RFC8288
Informative References
[RFC3261]

SIP: Session Initiation Protocol
J. Rosenberg
H. Schulzrinne
G. Camarillo
A. Johnston
J. Peterson
R. Sparks
M. Handley
E. Schooler
June 2002
RFC 3261
DOI 10.17487/RFC3261
[RFC3986]

Uniform Resource Identifier (URI): Generic Syntax
T. Berners-Lee
R. Fielding
L. Masinter
January 2005
STD 66
RFC 3986
DOI 10.17487/RFC3986
[RFC6749]

The OAuth 2.0 Authorization Framework
D. Hardt, Ed.
October 2012
RFC 6749
DOI 10.17487/RFC6749
[RFC7033]

WebFinger
P. Jones
G. Salgueiro
M. Jones
J. Smarr
September 2013
RFC 7033
DOI 10.17487/RFC7033
[I-D.ietf-asap-sip-auto-peer]

Automatic Peering for SIP Trunks
Kaustubh Inamdar
Unaffiliated
Sreekanth Narayanan
Cisco Systems
Cullen Fluffy Jennings
Cisco Systems
13 January 2023
Internet-Draft draft-ietf-asap-sip-auto-peer-07
Work in Progress
Acknowledgements
This document resulted from the discussions in the ASAP Working Group, especially the detailed and thoughtful comments of Paul Jones, Marc Petit-Huguenin, Mark Nottingham, Cullen Jennings, Jonathan Rosenberg, Jon Peterson, Chris Wendt, Jean Mahoney, and Murray Kucherawy. Additional thanks to Joe Clarke, Tim Bray, Christopher Wood, Dan Romascanu, David Dong, Éric Vyncke, Robert Wilton, and Lars Eggert for their reviews and feedback.
Authors' Addresses
Kaustubh Inamdar
Unaffiliated
kaustubh.ietf@gmail.com
Sreekanth Narayanan
Cisco
sreenara@cisco.com
Derek Engi
Cisco
Ann Arbor
MI
United States of America
+1 919 392 7966
deengi@cisco.com
Gonzalo Salgueiro
Cisco
7200-12 Kit Creek Rd.
Research Triangle Park
NC
27709
United States of America
+1 919 392 3266
gsalguei@cisco.com